<template>
  <main>
     <div class="head-items flex-parent">
       <div :class="{'categories-module': true, 'categories-module-active': subject}" @click="subject=true"> Предметы</div>
       <div :class="{'categories-module': true, 'categories-module-active': !subject}" @click="subject=false">Тесты</div>
     </div>
    <div v-if="subject" :class="{'categories-container': true,  'categories-container-active': subject}">
        <router-link  :to="{name: 'Books', params:{id: subject.id}}" v-for="subject in subjects" :key="subject.id">
     <div class="category-item" >
         {{subject.name}}
     </div>
        </router-link>
    </div>
      <div v-else :class="{'categories-container': true,  'categories-container-active': !subject}">
          <router-link :to="{name: 'TestSubCategory', params:{id: testSection.id}}" v-for="testSection in testSections" :key="testSection.id">
              <div class="category-item" >
                  {{testSection.name}}
              </div>
          </router-link>
      </div>




  </main>
</template>

<script>
export default {
  name: 'Categories',
    props: ['id'],
    data(){
      return {
          subject: true,
      }
    },
    beforeMount() {
      this.$store.dispatch('loadSubjects', this.id)
      this.$store.dispatch('loadTaskSections', this.id)
    },
    watch: {
        // when redirect to new category_name, this will be callback

        '$route':  function (new_data, old){

            if (new_data.params.id !== old.params.id) {
                this.loadData()
            }
        }
    },
    computed:{
      subjects(){
          console.log(this.$store.getters.subjects)
        return this.$store.getters.subjects
      },
        testSections(){
          console.log('asd', this.$store.getters.testSections)
          return this.$store.getters.testSections
        }
    },
    methods:{
      loadData(){
          this.$store.dispatch('loadSubjects', this.id)
          this.$store.dispatch('loadTaskSections', this.id)
      }
    }
}
</script>
